package com.platform.modules.foreign.service;

import java.util.List;

import com.platform.common.utils.PageUtils;
import com.platform.modules.foreign.entity.CommentForeignEntity;
import com.platform.modules.foreign.entity.ReporterInterviewProcess;
import com.platform.modules.foreign.entity.SceneForeignEntity;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

/**
 * Created by TROY on 2019/2/21.
 */
public interface LiveForeignService {

	PageUtils getSceneList(Integer cid, Integer source, String title, Integer page, Integer size);

	SceneForeignEntity getSceneDetail(Integer id);

	PageUtils getReportList(Integer sceneId, Integer page, Integer size, Boolean reverse);

	List<CommentForeignEntity> getCommentList(Integer sceneId, Integer page, Integer limit);

	void saveComment(Integer sceneId, Long userId, String headImg, String userName, String text);

	void saveComment(Integer sceneId, String token, String text) throws IllegalAccessException;
	
	JSONArray channeltList();

	List<ReporterInterviewProcess> findAllReporters();
	
	JSONObject getWeixinJsApiTicket(String url);
}
